Index: controlies/trunk/applications/controlies/modules/Groups.py
===================================================================
--- controlies/trunk/applications/controlies/modules/Groups.py	(revision 240)
+++ controlies/trunk/applications/controlies/modules/Groups.py	(revision 241)
@@ -152,6 +152,61 @@
 		return { "page":page, "total":totalPages, "records":len(search), "rows":result[start:finish] }
 		
 
+    def listUsers(self,args):
+		from applications.controlies.modules.Users import Users
+		
+		# grid parameters
+		limit = int(args['rows'])
+		page = int(args['page'])
+		start = limit * page - limit
+		finish = start + limit;				
+
+		# sort by field
+		sortBy = args['sidx']
+		if sortBy == "cn":
+			sortBy = "id"
+
+		# reverse Sort
+		reverseSort = False
+		if args['sord']== "asc":
+			reverseSort = True
+
+		groupData = self.getGroupData()
+
+		rows = []
+		for i in groupData["memberuid"]:
+			u = Users(self.ldap,"","","","",i,"","","","")
+			userData = u.getUserData()
+
+			row = {
+				"id":userData["user"], 
+				"cell":[userData["name"],userData["user"],userData["nif"]],
+				"cn": userData["name"],
+				"uid": userData["user"],
+				"employeeNumber": userData["nif"]
+			}
+			rows.append(row)			
+								
+			
+		if len(rows) > 0:
+			totalPages = floor( len(rows) / int(limit) )
+			module = len(rows) % int(limit)
+
+			if module > 0:
+				totalPages = totalPages+1
+		else:
+			totalPages = 0
+
+		if page > totalPages:
+			page = totalPages
+
+		# sort rows
+		result = sorted(rows, key=itemgetter(sortBy), reverse=reverseSort)
+
+		return { "page":page, "total":totalPages, "records":len(groupData["memberuid"]), "rows":result[start:finish] }
+
+
+
     def buildFilter(self, args):
 		filter = "(&(cn=*)(|(groupType=school_class)(groupType=school_department))"
 		
